> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paygood.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List delivery history for a merchant webhook endpoint



## OpenAPI

````yaml /openapi.json get /merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries
openapi: 3.0.0
info:
  title: PayGood Merchant API
  description: Server-to-server integration surface for merchant API keys.
  version: '1448-03-01'
  contact: {}
servers:
  - url: https://api-sandbox.paygood.co
    description: Sandbox
  - url: https://api.paygood.co
    description: Production
security: []
paths:
  /merchants/{merchantId}/webhook-endpoints/{webhookEndpointId}/deliveries:
    get:
      tags:
        - merchant-webhook-endpoints
      summary: List delivery history for a merchant webhook endpoint
      operationId: MerchantWebhookDeliveriesController_list
      parameters:
        - name: cursor
          required: false
          in: query
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            type: number
        - name: status
          required: false
          in: query
          schema:
            type: string
        - name: webhookEndpointId
          required: true
          in: path
          description: Webhook endpoint TypeID (`whk_...`) to list deliveries for.
          schema:
            type: string
        - name: merchantId
          required: true
          in: path
          description: Merchant TypeID (`mer_...`) owning the endpoint.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWebhookDeliveriesResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ListWebhookDeliveriesResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              webhookDeliveryId:
                type: string
              webhookEndpointId:
                type: string
              eventType:
                type: string
              status:
                type: string
                enum:
                  - pending
                  - succeeded
                  - exhausted
              attemptCount:
                type: number
              createdAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
              lastAttemptAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                nullable: true
              redeliveredFromId:
                type: string
                nullable: true
              attempts:
                type: array
                items:
                  type: object
                  properties:
                    attemptNumber:
                      type: number
                    attemptedAt:
                      type: string
                      format: date-time
                      pattern: >-
                        ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    responseStatusCode:
                      type: number
                      nullable: true
                    durationMs:
                      type: number
                    errorMessage:
                      type: string
                      nullable: true
                  required:
                    - attemptNumber
                    - attemptedAt
                    - responseStatusCode
                    - durationMs
                    - errorMessage
            required:
              - webhookDeliveryId
              - webhookEndpointId
              - eventType
              - status
              - attemptCount
              - createdAt
              - lastAttemptAt
              - redeliveredFromId
              - attempts
        page:
          type: object
          properties:
            hasMore:
              type: boolean
            nextCursor:
              type: string
          required:
            - hasMore
      required:
        - items
        - page
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: merchant_<prefix>_<secret>
      type: http
      description: Merchant API key bearer token.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.